<?php
saxue_includedb();
class saxuetag extends saxueobjectdata {
		function saxuetag() {
				$this -> initvar( "tagid", SAXUE_TYPE_INT, 0, "标签ID", false, 11 );
				$this -> initvar( "cid", SAXUE_TYPE_INT, 0, "TAG分类", false, 4 );
				$this -> initvar( "tagname", SAXUE_TYPE_TXTBOX, "", "TAG名", false, 10 );
				$this -> initvar( "counts", SAXUE_TYPE_INT, 0, "文章总数", false, 10 );
				$this -> initvar( "views", SAXUE_TYPE_INT, 0, "访问数", false, 10 );
				$this -> initvar( "isgood", SAXUE_TYPE_INT, 0, "是否推荐", false, 1 );
		} 
} 

class saxuetaghandler extends saxueobjecthandler {
		function saxuetaghandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "tag";
				$this -> autoid = "tagid";
				$this -> dbname = "tag";
		} 
}